# Uses of Class
org.eclipse.net4j.util.security.operations.AuthorizableOperation

Packages that use AuthorizableOperation
Package
Description
org.eclipse.net4j.util.security.operations

## Uses of AuthorizableOperation in org.eclipse.net4j.util.security.operations

Methods in org.eclipse.net4j.util.security.operations that return AuthorizableOperation
Modifier and Type
Method
Description
`static AuthorizableOperation`
AuthorizableOperation.`build(String operationID)`
`AuthorizableOperation`
AuthorizableOperation.Builder.`build()`
`AuthorizableOperation`
AuthorizableOperationFactory.`create(String description)`
`static AuthorizableOperation`
AuthorizableOperationFactory.`getAuthorizableOperation(IManagedContainer container, String operationID)`
`static AuthorizableOperation[]`
AuthorizableOperationFactory.`getAuthorizableOperations(IManagedContainer container)`
`static AuthorizableOperation`
AuthorizableOperation.`read(ExtendedDataInput in)`
Methods in org.eclipse.net4j.util.security.operations with parameters of type AuthorizableOperation
Modifier and Type
Method
Description
`String`
OperationAuthorizer.`authorizeOperation(CONTEXT context, AuthorizableOperation operation)`